require('json')
--require('slot')

function cycle_index() 
	t = {}
	if (parameters.items == nil or parameters.items == '') then
		json_table(t, 1)
		return
	end

	mem = perax:open_mem()

	string.gsub(parameters.items,'([0-9]+)', function (j)
		j = tonumber(j)
		g = mem:info_cycle(j)
		if g ~= nil then
			t['V_' .. j] = g['status']
		end
	end)

	json_table(t, 1)
end

function cycle_init() 
	g = {}
	mem2 = perax:open_mem()
	g = mem:cycle_list()
	out('[')
	for i in next, g do
		out (g[i] .. ',')
	end
	out(']')
end

function cycle_get_infos()
	out('[')
	cycle_one = nil
	if (parameters.items == nil or parameters.items == '') then
		out(']')
		return
	end

	g = mem:cycle_list();
--	for i in next,g do
--		print (i, g[i])
--	end
	string.gsub(parameters.items,'([0-9]+)', function (j)
		if cycle_one == nil then
			cycle_one = 1
		else
			out(', ')
		end

		j = tonumber(j)
		for i in next, g do
			if g[i] == j then 
				t = {}
				t['name'] = "Cycle d'appel " .. j
				t['num'] = j
				json_table(t, 1)
				break
			end
		end
	end)


	out(']')


end

function cycle_expand() 
	c = tonumber(parameters.cycle)
	g = mem:info_cycle(c)
	if g ~= nil then
		json_table(g, 1)
	end
end

function cycle_int() 
	c = tonumber(parameters.cycle)
	mem:cycle_int(c)
	out("[0, 'ok']")
end

function cycle_ack()
	s = global_session
	if s == nil then
		out("[-1, 'Vous n'etes pas identifie.']")
	else
		c = tonumber(parameters.cycle)
		if s.user then
			mem:cycle_ack(c, s.user.id)
		end
	end
end

